package com.jpsoft.shinestar.modules.base.service;

import com.jpsoft.shinestar.modules.base.entity.CompanyInfo;
import com.jpsoft.shinestar.modules.base.entity.TotalCheckCompany;

import java.util.Date;
import java.util.List;

/**
 * @author 墨鱼_mo
 * @date 2020-3-27 14:37
 */
public interface TotalCheckCompanyService {

    int insert(TotalCheckCompany totalCheckCompany);

    Integer findMinNormalDay();

    Integer getTotalAbnormalNum();

    Integer findMinNormalDayByCompanyList(List<CompanyInfo> list);

    Integer getTotalAbnormalNumByCompanyList(List<CompanyInfo> list);

    TotalCheckCompany findByCompanyId(String id);

    int update(TotalCheckCompany totalCheckCompany);

    Integer getTotalCheckNum(List<CompanyInfo> list);

    List<TotalCheckCompany> findAll();

    Date findMaxAbnormalTimeByCompanyList(List<CompanyInfo> list);

    Integer findMaxNormalDayByCompanyList(List<CompanyInfo> list);
}
